#version 330 core

// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 position;

// Values that stay constant for the whole mesh.
uniform mat4 dMVP;
uniform mat4 dMV;

out vec3 positionViewSpace;

void main(){
	gl_Position =  dMVP * vec4(position,1);
	positionViewSpace = (dMV * vec4(position,1)).xyz;
}

